# Class: ERC20

## CaskSDK.contracts.ERC20(args) → {Contract}

#### new ERC20(args) → {Contract}

Get an ERC20 token instance. Uses either the supplied provider, or the connection from the ethersConnection.

##### Parameters:

Name | Type | Description
--- | --- | ---
`args` | Object | Function arguments ###### Properties
Name | Type | Attributes | Description
--- | --- | --- | ---
`tokenAddress` | string |  | Address of ERC-20 token
`ethersConnection` | EthersConnection | <optional> | EthersConnection instance
`provider` | Provider | <optional> | An Ethers Provider

##### Returns:

Type
  Contract